Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.response
Class RegisteredInfo

    java.lang.Object
      weblogic.uddi.client.structures.response.Response
          weblogic.uddi.client.structures.response.ListResponse
              weblogic.uddi.client.structures.response.RegisteredInfo

public class RegisteredInfo
extends ListResponse

The registeredInfo structure is a response to a get_registeredInfo message. It consists of a collection of businessInfos and tModelInfos.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`RegisteredInfo()` Class constructor.

Method Summary
`BusinessInfos` | `getBusinessInfos()` Get the business infos.
`TModelInfos` | `getTModelInfos()` Get the tmodel infos.
`void` | `setBusinessInfos(BusinessInfos value)` Set the business infos.
`void` | `setTModelInfos(TModelInfos value)` Set the tmodel infos.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisteredInfo

    public RegisteredInfo()

  Class constructor.

Method Detail

### getBusinessInfos

    public BusinessInfos getBusinessInfos()

  Get the business infos.

  Returns:
    the current business infos.

### getTModelInfos

    public TModelInfos getTModelInfos()

  Get the tmodel infos.

  Returns:
    the current tmodel infos.

### setBusinessInfos

    public void setBusinessInfos(BusinessInfos value)

  Set the business infos.

### setTModelInfos

    public void setTModelInfos(TModelInfos value)

  Set the tmodel infos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD